## kodi-audiodecoder-openmpt 19.0.1+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(audiodecoder.openmpt)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(Openmpt REQUIRED)
find_package(ZLIB REQUIRED)

include_directories(${ZLIB_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..
                    ${OPENMPT_INCLUDE_DIRS})

set(OPENMPT_SOURCES src/OpenMptCodec.cpp)
set(OPENMPT_HEADERS src/OpenMptCodec.h)

set(DEPLIBS ${OPENMPT_LIBRARIES} ${ZLIB_LIBRARIES})

build_addon(audiodecoder.openmpt OPENMPT DEPLIBS)

include(CPack)

## kodi-audiodecoder-openmpt 3.0.0+ds1

=== debian/changelog ===
kodi-audiodecoder-openmpt (3.0.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:42 +0000

kodi-audiodecoder-openmpt (3.0.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 07:00:52 +0000

=== debian/control ===
Source: kodi-audiodecoder-openmpt
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libopenmpt-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt.git
Homepage: https://kodi.tv/

Package: kodi-audiodecoder-openmpt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:AUDIODECODERAPI}
Description: OpenMPT audio decoder for Kodi
 OpenMPT (short hand for Open ModPlug Tracker) is completely free and his
 library allows you play back some great music on your Kodi.
 .
 It supports loading of IT (Impulse Tracker), XM (FastTracker Extended
 Module), MOD (ProTracker and similar), S3M (Scream Tracker 3) and MPTM (its
 own file format) files, imports many more module and sample file formats.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.openmpt/releases \
/xbmc/audiodecoder.openmpt/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-audiodecoder-openmpt 19.0.1%2Bds1

=== debian/changelog ===
kodi-audiodecoder-openmpt (19.0.1+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:24 +0000

kodi-audiodecoder-openmpt (19.0.1+ds1-2) unstable; urgency=medium

  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:16 +0000

kodi-audiodecoder-openmpt (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 10 Nov 2021 19:21:43 +0000

kodi-audiodecoder-openmpt (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:00 +0000

kodi-audiodecoder-openmpt (3.0.0+ds1-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:37:35 +0000

## kodi-audiodecoder-openmpt 19.0.1+ds1

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                kodi-addons-dev (>= 2:19~),
                libopenmpt-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.openmpt/releases \
/xbmc/audiodecoder.openmpt/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-audiodecoder-openmpt 20.2.0%2Bds1

=== debian/changelog ===
kodi-audiodecoder-openmpt (20.2.0+ds1-2) unstable; urgency=medium

  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:46 +0000

kodi-audiodecoder-openmpt (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:10 +0000

## kodi-audiodecoder-openmpt 20.2.0+ds1

=== debian/changelog ===
kodi-audiodecoder-openmpt (20.2.0+ds1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:34:35 +1100

kodi-audiodecoder-openmpt (20.2.0+ds1-2build1) noble; urgency=high

  * No change rebuild against libopenmpt0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: kodi-audiodecoder-openmpt
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libopenmpt-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.openmpt \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-audiodecoder-openmpt 21.0.2+ds

=== debian/changelog ===
kodi-audiodecoder-openmpt (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:44:43 +0000

kodi-audiodecoder-openmpt (20.2.0+ds1-4) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:12:36 +0000

kodi-audiodecoder-openmpt (20.2.0+ds1-3) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:44:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kodi-audiodecoder-openmpt
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libopenmpt-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-audiodecoder-openmpt.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-audiodecoder-openmpt

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/audiodecoder.openmpt \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
